Bug 188820 - CVE-2006-1740 Secure-site spoof (requires security warning dialog)
Summary: CVE-2006-1740 Secure-site spoof (requires security warning dialog)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: reported=20060412,source=mozilla,emba...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-13 03:15 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0328
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 13:46:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0328 normal SHIPPED_LIVE Critical: firefox security update 2006-04-14 04:00:00 UTC

Description Josh Bressers 2006-04-13 03:15:23 UTC
Secure-site spoof (requires security warning dialog)


Tristor reports that it was possible to spoof the browser's secure-site
indicators (the lock icon, the site name in the URL field, the gold URL
field background in Firefox) by first loading the target secure site in a
pop-up window, then changing its location to a different site.

If the user has turned on the "Entering secure site" modal warning dialog
then the window location can be changed while that dialog is displayed and
the secure-browsing indicators from the original site will remain.

These dialogs are turned off by default in Firefox, and most Suite users
click the checkbox to turn them off.

Workaround

Turn  off the "Entering encrypted site" warning dialog if you have not
already.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=271194

Comment 2 Josh Bressers 2006-04-14 14:52:51 UTC
Lifting embargo

Comment 4 Red Hat Bugzilla 2006-04-14 15:49:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0328.html


Comment 5 Red Hat Bugzilla 2006-04-25 13:46:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0328.html



Note You need to log in before you can comment on or make changes to this bug.